%{!?python3_sitelib: %global python3_sitelib %(%{__python3} -Esc "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:    python-configobj
Version: 5.0.6
Release: 19
Summary: ConfigObj is a simple but powerful config file reader and writer
License: BSD
URL:     http://configobj.readthedocs.org/
Source0: https://github.com/DiffSK/configobj/archive/v%{version}.tar.gz

Patch0:  0001-changed-1-link-in-rest-docs.patch	

BuildRequires:python3-devel python3-pytest python3-setuptools python3-six 
BuildArch:    noarch

%description
ConfigObj is a simple but powerful config file reader and writer:
an ini file round tripper. Its main feature is that it is very easy to use,
with a straightforward programmer's interface and a simple syntax for config files.
It has lots of other features though :
    * Nested sections (subsections), to any level
    * List values
    * Multiple line values
    * String interpolation (substitution)
    * Integrated with a powerful validation system
          . including automatic type checking/conversion
          . repeated sections
          . and allowing default values
    * When writing out config files, ConfigObj preserves all comments and the order of members and sections
    * Many useful methods and options for working with configuration files (like the 'reload' method)
    * Full Unicode support


%package -n python3-configobj
Summary:   config file reader and writer
Requires:  python3-six
%{?python_provide:%python_provide python3-configobj}

%description -n python3-configobj
config file reader and writer

%prep
%autosetup -n configobj-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
export PYTHONWARNINGS=always
%{__python3} test_configobj.py

%files -n python3-configobj
%doc     README.md
%license LICENSE
%{python3_sitelib}/*

%changelog
* Mon May 8 2023 Jiangtian Feng <fengjiangtian@huawei.com> - 5.0.6-19
- update the introduction web link

* Fri Oct 21 2022 liubo <liubo254@huawei.com> - 5.0.6-18
- rebuild the version to 5.0.6-18

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 5.0.6-17
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* Fri Oct 30 2020 yanglongkang <yanglongkang@huawei.com> - 5.0.6-16
- remove python2 dependency

* Sat Sep 7 2019 wubo<wubo40@huawei.com> - 5.0.6-15
- Package init
